package com.lanyuanxiaoyao.service.ai.knowledge.entity.vo;

/**
 * @author lanyuanxiaoyao
 * @version 20250527
 */
public class DataFileVO {
  private String id;
  private String filename;
  private Long size;
  private String md5;
  private String path;
  private String type;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getFilename() {
    return filename;
  }

  public void setFilename(String filename) {
    this.filename = filename;
  }

  public Long getSize() {
    return size;
  }

  public void setSize(Long size) {
    this.size = size;
  }

  public String getMd5() {
    return md5;
  }

  public void setMd5(String md5) {
    this.md5 = md5;
  }

  public String getPath() {
    return path;
  }

  public void setPath(String path) {
    this.path = path;
  }

  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  @Override
  public String toString() {
    return "DataFile{" +
           "id='" + id + '\'' +
           ", filename='" + filename + '\'' +
           ", size=" + size +
           ", md5='" + md5 + '\'' +
           ", path='" + path + '\'' +
           ", type='" + type + '\'' +
           '}';
  }
}
